# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( pypy3 python3_{9,10,11} )

inherit distutils-r1 pypi

DESCRIPTION="Decrypt and encrypt messages compatible to the SJCL message format"
HOMEPAGE="https://github.com/berlincode/sjcl"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

RDEPEND="dev-python/pycryptodome"
DEPEND="${RDEPEND}"

src_prepare() {
	distutils-r1_python_prepare_all
	sed -e "s:description-:description_:" -i setup.cfg
}
